package sikd.sikd5.sikd5bean.tabel.mgr;

import java.io.Serializable;
import java.util.Objects;

public class MasterMenu implements Serializable {
    private long id;
    private String nama;
    private String alamat;
    private boolean actives;

    public MasterMenu() {
    }

    public MasterMenu(String nama, String alamat, boolean actives) {
        this.nama = nama;
        this.alamat = alamat;
        this.actives = actives;
    }

    public MasterMenu(long id, String alamat, boolean actives) {
        this.id = id;
        this.alamat = alamat;
        this.actives = actives;
    }

    public MasterMenu(long id, String nama, String alamat, boolean actives) {
        this.id = id;
        this.nama = nama;
        this.alamat = alamat;
        this.actives = actives;
    }

    public boolean isActives() {
        return actives;
    }

    public void setActives(boolean actives) {
        this.actives = actives;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getNama() {
        return nama;
    }

    public void setNama(String nama) {
        this.nama = nama;
    }

    public String getAlamat() {
        return alamat;
    }

    public void setAlamat(String alamat) {
        this.alamat = alamat;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 11 * hash + (int) (this.id ^ (this.id >>> 32));
        hash = 11 * hash + Objects.hashCode(this.nama);
        hash = 11 * hash + Objects.hashCode(this.alamat);
        hash = 11 * hash + (this.actives ? 1 : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final MasterMenu other = (MasterMenu) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
    
    
}
